<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/cl"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <FrameLayout
        android:id="@+id/headFl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent" />


    <FrameLayout
        android:id="@+id/footerFl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="10dp"
        app:layout_constraintBottom_toBottomOf="parent" />


    <com.swago.room.widget.ChatRecyclerView
        android:id="@+id/rv"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:requiresFadingEdge="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="70dp"
        android:layout_width="match_parent"
        android:layout_height="170dp"/>


    <com.swago.room.giftdandao.GiftDanDaoView
        android:id="@+id/danDaoView"
        app:layout_constraintVertical_chainStyle="packed"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/danDaoView2"
        android:layout_width="match_parent"
        android:layout_height="65dp"/>

    <com.swago.room.giftdandao.GiftDanDaoView
        android:id="@+id/danDaoView2"
        app:layout_constraintTop_toBottomOf="@+id/danDaoView"
        app:layout_constraintBottom_toTopOf="@+id/danDaoView3"
        android:layout_width="match_parent"
        android:layout_height="65dp"/>

    <com.swago.room.giftdandao.GiftDanDaoView
        android:id="@+id/danDaoView3"
        app:layout_constraintTop_toBottomOf="@+id/danDaoView2"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="match_parent"
        android:layout_height="65dp"/>


    <com.swago.room.gift.control.XSvgPlayer
        android:id="@+id/xSvgaPlayer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>

    <com.swago.room.piaotiao.WaftView
        android:id="@+id/waftView"
        android:layout_marginTop="60dp"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

    <com.swago.room.piaotiao.WaftView
        android:id="@+id/waftView2"
        android:layout_marginTop="105dp"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

</androidx.constraintlayout.widget.ConstraintLayout>